# class PG::TextDecoder::TimestampWithoutTimeZone

### Constants

ISO_DATETIME_WITHOUT_TIMEZONE

### Public Instance Methods

decode(string, tuple=nil, field=nil) click to toggle source

    # File lib/pg/text_decoder.rb, line 22
    def decode(string, tuple=nil, field=nil)
            if string =~ ISO_DATETIME_WITHOUT_TIMEZONE
                    Time.new $1.to_i, $2.to_i, $3.to_i, $4.to_i, $5.to_i, "#{$6}#{$7}".to_r
            else
                    string
            end
    end